Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.config.impl
Class DefaultConfiguration.ContainerProperties

    java.lang.Object
      java.util.Dictionary<K,V>
          java.util.Hashtable<Object,Object>
              java.util.Properties
                  com.opensymphony.xwork2.util.location.LocatableProperties
                      com.opensymphony.xwork2.config.impl.DefaultConfiguration.ContainerProperties

All Implemented Interfaces:
  Locatable, Serializable, Cloneable, Map<Object,Object>

Enclosing class:
  DefaultConfiguration

     class DefaultConfiguration.ContainerProperties

extends LocatableProperties

Field Summary
`private static long` | `serialVersionUID`

Fields inherited from class java.util.Properties
`defaults`

Constructor Summary
`DefaultConfiguration.ContainerProperties()`

Method Summary
`void` | `setConstants(ContainerBuilder builder)`
`Object` | `setProperty(String key, String value)`

Methods inherited from class com.opensymphony.xwork2.util.location.LocatableProperties
`getLocation, getPropertyLocation, load, setProperty`

Methods inherited from class java.util.Properties
`getProperty, getProperty, list, list, loadFromXML, propertyNames, save, store, storeToXML, storeToXML`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

Constructor Detail

### DefaultConfiguration.ContainerProperties

    DefaultConfiguration.ContainerProperties()

Method Detail

### setProperty

    public Object setProperty(String key,
                              String value)

  Overrides:
    `setProperty` in class `Properties`

### setConstants

    public void setConstants(ContainerBuilder builder)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 OpenSymphony. All Rights Reserved.